Package com.arms.api.jira.jiraserver_project_pure.service

## Interface JiraServerProjectPure

- All Superinterfaces:
    `TreeService`
  All Known Implementing Classes:
    `JiraServerProjectPureImpl`

      public interface JiraServerProjectPure
      extends TreeService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.List<ALMServerProjectPureWithDateVO>` | `getNodesWithoutRootAndSoftDeleteWithDate​(JiraServerProjectPureEntity jiraServerProjectPureEntity)` |
    `JiraServerProjectPureEntity` | `getNodeWithoutSoftDelete​(JiraServerProjectPureEntity jiraServerProjectPureEntity)` |
    `java.util.List<JiraProjectIssueTypePureEntity>` | `서버_프로젝트_가져오기​(JiraServerProjectPureEntity jiraServerProjectPureEntity)` |

    - ### Methods inherited from interface com.arms.egovframework.javaservice.treeframework.service.TreeService

      `addNode, alterNode, alterNodeType, getChildNode, getChildNodeWithoutPaging, getNode, getNodesWithoutRoot, getNodesWithoutRootMap, getPaginatedChildNode, moveNode, overwriteNode, removeNode, searchNode, updateField, updateNode`

- - ### Method Detail

    - #### getNodeWithoutSoftDelete

          JiraServerProjectPureEntity getNodeWithoutSoftDelete​(JiraServerProjectPureEntity jiraServerProjectPureEntity)
                                                        throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getNodesWithoutRootAndSoftDeleteWithDate

          java.util.List<ALMServerProjectPureWithDateVO> getNodesWithoutRootAndSoftDeleteWithDate​(JiraServerProjectPureEntity jiraServerProjectPureEntity)
                                                                                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### 서버_프로젝트_가져오기

          java.util.List<JiraProjectIssueTypePureEntity> 서버_프로젝트_가져오기​(JiraServerProjectPureEntity jiraServerProjectPureEntity)
                                                               throws java.lang.Exception

      Throws:
        `java.lang.Exception`